<html>
<head>
<title>OGRE: Ogre::CompositorChain::RQListener Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1CompositorChain.html">CompositorChain</a>::<a class="el" href="classOgre_1_1CompositorChain_1_1RQListener.html">RQListener</a></div>
<h1>Ogre::CompositorChain::RQListener Class Reference</h1><!-- doxytag: class="Ogre::CompositorChain::RQListener" --><!-- doxytag: inherits="Ogre::RenderQueueListener" -->Render queue listener used to set up rendering events.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreCompositorChain_8h-source.html">OgreCompositorChain.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::CompositorChain::RQListener:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1CompositorChain_1_1RQListener-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain_1_1RQListener.html#0fa10cc7b6d0db12d05f20e6d110fa33">renderQueueStarted</a> (<a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> id, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;invocation, bool &amp;skipThisQueue)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Event raised before a queue group is rendered. <p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This method is called by the <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> before each queue group is rendered. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>queueGroupId</em>&nbsp;</td><td>The id of the queue group which is about to be rendered </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>invocation</em>&nbsp;</td><td>Name of the invocation which is causing this to be called (</td></tr>
  </table>
</dl>
<dl class="see" compact><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1RenderQueueInvocation.html" title="Class representing the invocation of queue groups in a RenderQueue.">RenderQueueInvocation</a>) </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>skipThisInvocation</em>&nbsp;</td><td>A boolean passed by reference which is by default set to false. If the event sets this to true, the queue will be skipped and not rendered. Note that in this case the renderQueueEnded event will not be raised for this queue group. </td></tr>
  </table>
</dl>
  <a href="#0fa10cc7b6d0db12d05f20e6d110fa33"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain_1_1RQListener.html#6bae4a9e3da5f047168f3e703066c422">renderQueueEnded</a> (<a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> id, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;invocation, bool &amp;repeatThisQueue)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Event raised after a queue group is rendered. <p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This method is called by the <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> after each queue group is rendered. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>queueGroupId</em>&nbsp;</td><td>The id of the queue group which has just been rendered </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>invocation</em>&nbsp;</td><td>Name of the invocation which is causing this to be called (</td></tr>
  </table>
</dl>
<dl class="see" compact><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1RenderQueueInvocation.html" title="Class representing the invocation of queue groups in a RenderQueue.">RenderQueueInvocation</a>) </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>repeatThisInvocation</em>&nbsp;</td><td>A boolean passed by reference which is by default set to false. If the event sets this to true, the queue which has just been rendered will be repeated, and the renderQueueStarted and renderQueueEnded events will also be fired for it again. </td></tr>
  </table>
</dl>
  <a href="#6bae4a9e3da5f047168f3e703066c422"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain_1_1RQListener.html#3334e99725b4a9a52b9d7eae93930201">setOperation</a> (<a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html">CompositorInstance::TargetOperation</a> *op, <a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *sm, <a class="el" href="classOgre_1_1RenderSystem.html">RenderSystem</a> *rs)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set current operation and target.  <a href="#3334e99725b4a9a52b9d7eae93930201"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain_1_1RQListener.html#208e4a0e0b0aedae62d3d89dab1a3d7c">notifyViewport</a> (<a class="el" href="classOgre_1_1Viewport.html">Viewport</a> *vp)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Notify current destination viewport.  <a href="#208e4a0e0b0aedae62d3d89dab1a3d7c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain_1_1RQListener.html#32dbdc7e81be528f70189bad77ab414a">flushUpTo</a> (<a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> id)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Flush remaining render system operations.  <a href="#32dbdc7e81be528f70189bad77ab414a"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html">CompositorInstance::TargetOperation</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain_1_1RQListener.html#625fb754fa2d276a76f495a88df4b18d">mOperation</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain_1_1RQListener.html#4b54c7adb7c8a898912115845ee65bb0">mSceneManager</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1RenderSystem.html">RenderSystem</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain_1_1RQListener.html#a3299d89663b3a7ff40aa48710d7ce26">mRenderSystem</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Viewport.html">Viewport</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain_1_1RQListener.html#75c5649c0d7d1c9d1b8214bfdb3cf84a">mViewport</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">CompositorInstance::RenderSystemOpPairs::iterator&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain_1_1RQListener.html#e1caac6070553f30881a5fb0f97130ef">currentOp</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">CompositorInstance::RenderSystemOpPairs::iterator&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain_1_1RQListener.html#403885e6bad3a4dda4ac482f6ce9ae68">lastOp</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Render queue listener used to set up rendering events. 
<p>

<p>Definition at line <a class="el" href="OgreCompositorChain_8h-source.html#l00172">172</a> of file <a class="el" href="OgreCompositorChain_8h-source.html">OgreCompositorChain.h</a>.</p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="0fa10cc7b6d0db12d05f20e6d110fa33"></a><!-- doxytag: member="Ogre::CompositorChain::RQListener::renderQueueStarted" ref="0fa10cc7b6d0db12d05f20e6d110fa33" args="(uint8 id, const String &amp;invocation, bool &amp;skipThisQueue)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::CompositorChain::RQListener::renderQueueStarted           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&nbsp;</td>
          <td class="paramname"> <em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>invocation</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool &amp;&nbsp;</td>
          <td class="paramname"> <em>skipThisQueue</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Event raised before a queue group is rendered. <p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This method is called by the <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> before each queue group is rendered. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>queueGroupId</em>&nbsp;</td><td>The id of the queue group which is about to be rendered </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>invocation</em>&nbsp;</td><td>Name of the invocation which is causing this to be called (</td></tr>
  </table>
</dl>
<dl class="see" compact><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1RenderQueueInvocation.html" title="Class representing the invocation of queue groups in a RenderQueue.">RenderQueueInvocation</a>) </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>skipThisInvocation</em>&nbsp;</td><td>A boolean passed by reference which is by default set to false. If the event sets this to true, the queue will be skipped and not rendered. Note that in this case the renderQueueEnded event will not be raised for this queue group. </td></tr>
  </table>
</dl>
 
<p>

<p>Implements <a class="el" href="classOgre_1_1RenderQueueListener.html#c2a830d14b2bb411a473192560cf7561">Ogre::RenderQueueListener</a>.</p>

</div>
</div><p>
<a class="anchor" name="6bae4a9e3da5f047168f3e703066c422"></a><!-- doxytag: member="Ogre::CompositorChain::RQListener::renderQueueEnded" ref="6bae4a9e3da5f047168f3e703066c422" args="(uint8 id, const String &amp;invocation, bool &amp;repeatThisQueue)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::CompositorChain::RQListener::renderQueueEnded           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&nbsp;</td>
          <td class="paramname"> <em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>invocation</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool &amp;&nbsp;</td>
          <td class="paramname"> <em>repeatThisQueue</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Event raised after a queue group is rendered. <p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This method is called by the <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> after each queue group is rendered. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>queueGroupId</em>&nbsp;</td><td>The id of the queue group which has just been rendered </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>invocation</em>&nbsp;</td><td>Name of the invocation which is causing this to be called (</td></tr>
  </table>
</dl>
<dl class="see" compact><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1RenderQueueInvocation.html" title="Class representing the invocation of queue groups in a RenderQueue.">RenderQueueInvocation</a>) </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>repeatThisInvocation</em>&nbsp;</td><td>A boolean passed by reference which is by default set to false. If the event sets this to true, the queue which has just been rendered will be repeated, and the renderQueueStarted and renderQueueEnded events will also be fired for it again. </td></tr>
  </table>
</dl>
 
<p>

<p>Implements <a class="el" href="classOgre_1_1RenderQueueListener.html#f018b136e2f8764a90573af35757d9c4">Ogre::RenderQueueListener</a>.</p>

</div>
</div><p>
<a class="anchor" name="3334e99725b4a9a52b9d7eae93930201"></a><!-- doxytag: member="Ogre::CompositorChain::RQListener::setOperation" ref="3334e99725b4a9a52b9d7eae93930201" args="(CompositorInstance::TargetOperation *op, SceneManager *sm, RenderSystem *rs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::CompositorChain::RQListener::setOperation           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html">CompositorInstance::TargetOperation</a> *&nbsp;</td>
          <td class="paramname"> <em>op</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *&nbsp;</td>
          <td class="paramname"> <em>sm</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderSystem.html">RenderSystem</a> *&nbsp;</td>
          <td class="paramname"> <em>rs</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Set current operation and target. 
<p>

</div>
</div><p>
<a class="anchor" name="208e4a0e0b0aedae62d3d89dab1a3d7c"></a><!-- doxytag: member="Ogre::CompositorChain::RQListener::notifyViewport" ref="208e4a0e0b0aedae62d3d89dab1a3d7c" args="(Viewport *vp)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::CompositorChain::RQListener::notifyViewport           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Viewport.html">Viewport</a> *&nbsp;</td>
          <td class="paramname"> <em>vp</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Notify current destination viewport. 
<p>

<p>Definition at line <a class="el" href="OgreCompositorChain_8h-source.html#l00186">186</a> of file <a class="el" href="OgreCompositorChain_8h-source.html">OgreCompositorChain.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="32dbdc7e81be528f70189bad77ab414a"></a><!-- doxytag: member="Ogre::CompositorChain::RQListener::flushUpTo" ref="32dbdc7e81be528f70189bad77ab414a" args="(uint8 id)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::CompositorChain::RQListener::flushUpTo           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&nbsp;</td>
          <td class="paramname"> <em>id</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Flush remaining render system operations. 
<p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="625fb754fa2d276a76f495a88df4b18d"></a><!-- doxytag: member="Ogre::CompositorChain::RQListener::mOperation" ref="625fb754fa2d276a76f495a88df4b18d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositorInstance_1_1TargetOperation.html">CompositorInstance::TargetOperation</a>* <a class="el" href="classOgre_1_1CompositorChain_1_1RQListener.html#625fb754fa2d276a76f495a88df4b18d">Ogre::CompositorChain::RQListener::mOperation</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCompositorChain_8h-source.html#l00191">191</a> of file <a class="el" href="OgreCompositorChain_8h-source.html">OgreCompositorChain.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="4b54c7adb7c8a898912115845ee65bb0"></a><!-- doxytag: member="Ogre::CompositorChain::RQListener::mSceneManager" ref="4b54c7adb7c8a898912115845ee65bb0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a>* <a class="el" href="classOgre_1_1CompositorChain_1_1RQListener.html#4b54c7adb7c8a898912115845ee65bb0">Ogre::CompositorChain::RQListener::mSceneManager</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCompositorChain_8h-source.html#l00192">192</a> of file <a class="el" href="OgreCompositorChain_8h-source.html">OgreCompositorChain.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="a3299d89663b3a7ff40aa48710d7ce26"></a><!-- doxytag: member="Ogre::CompositorChain::RQListener::mRenderSystem" ref="a3299d89663b3a7ff40aa48710d7ce26" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderSystem.html">RenderSystem</a>* <a class="el" href="classOgre_1_1CompositorChain_1_1RQListener.html#a3299d89663b3a7ff40aa48710d7ce26">Ogre::CompositorChain::RQListener::mRenderSystem</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCompositorChain_8h-source.html#l00193">193</a> of file <a class="el" href="OgreCompositorChain_8h-source.html">OgreCompositorChain.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="75c5649c0d7d1c9d1b8214bfdb3cf84a"></a><!-- doxytag: member="Ogre::CompositorChain::RQListener::mViewport" ref="75c5649c0d7d1c9d1b8214bfdb3cf84a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Viewport.html">Viewport</a>* <a class="el" href="classOgre_1_1CompositorChain_1_1RQListener.html#75c5649c0d7d1c9d1b8214bfdb3cf84a">Ogre::CompositorChain::RQListener::mViewport</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCompositorChain_8h-source.html#l00194">194</a> of file <a class="el" href="OgreCompositorChain_8h-source.html">OgreCompositorChain.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e1caac6070553f30881a5fb0f97130ef"></a><!-- doxytag: member="Ogre::CompositorChain::RQListener::currentOp" ref="e1caac6070553f30881a5fb0f97130ef" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CompositorInstance::RenderSystemOpPairs::iterator <a class="el" href="classOgre_1_1CompositorChain_1_1RQListener.html#e1caac6070553f30881a5fb0f97130ef">Ogre::CompositorChain::RQListener::currentOp</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCompositorChain_8h-source.html#l00195">195</a> of file <a class="el" href="OgreCompositorChain_8h-source.html">OgreCompositorChain.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="403885e6bad3a4dda4ac482f6ce9ae68"></a><!-- doxytag: member="Ogre::CompositorChain::RQListener::lastOp" ref="403885e6bad3a4dda4ac482f6ce9ae68" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CompositorInstance::RenderSystemOpPairs::iterator <a class="el" href="classOgre_1_1CompositorChain_1_1RQListener.html#403885e6bad3a4dda4ac482f6ce9ae68">Ogre::CompositorChain::RQListener::lastOp</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCompositorChain_8h-source.html#l00195">195</a> of file <a class="el" href="OgreCompositorChain_8h-source.html">OgreCompositorChain.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreCompositorChain_8h-source.html">OgreCompositorChain.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:24 2008
</p>
</body>
</html>
